/*
 * #%L
 * Refcomp :: services
 * 
 * $Id: InvalidEntityException.java 79 2011-01-27 17:45:56Z jcouteau $
 * $HeadURL: svn+ssh://jcouteau@scm.mulcyber.toulouse.inra.fr/svnroot/refcomp/tags/refcomp-1.5.1/refcomp-services/src/main/java/fr/inra/refcomp/services/InvalidEntityException.java $
 * %%
 * Copyright (C) 2010 - 2011 Inra
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */
package fr.inra.refcomp.services;

import org.nuiton.validator.NuitonValidatorResult;

/**
 * Exception to be thrown when an entity is not valid and cannot be saved in
 * database.
 *
 * User: couteau
 * Date: 11/01/11
 */
public class InvalidEntityException extends RefcompException {

    //NuitonValidatorResult validationResult = null;

    public InvalidEntityException() {
        super();
    }

    /**
     * Constructs a new exception with the specified detail message.
     *
     * @param message message
     */
    public InvalidEntityException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the specified detail message, and the
     * validation result
     *
     * @param message message
     */
    /*public InvalidEntityException(String message, NuitonValidatorResult result) {
        super(message);
        this.validationResult = result;
    }*/

    /**
     * Constructs a new exception with the specified detail message and cause.
     *
     * @param message
     * @param cause
     */
    public InvalidEntityException(String message, Throwable cause) {
        super(message, cause);
    }

    /*public NuitonValidatorResult getValidationResult() {
        return validationResult;
    }

    public void setValidationResult(NuitonValidatorResult result) {
        validationResult = result;
    }*/
}
